package main

import (
	"log"
)

func main() {
	var fpc FuelPricesConfig
	var zipfile ZipFile
	var xmlfile XMLFile
	var prices []Price
	var err error

	err = fpc.GetConfig()
	if err != nil {
		log.Fatal(err)
	}

	err = DownloadFile(&fpc, &zipfile)
	if err != nil {
		log.Fatal(err)
	}

	err = ExtractZip(&fpc, &zipfile, &xmlfile)
	if err != nil {
		log.Fatal(err)
	}

	err = GetPrices(&fpc, &prices, &xmlfile)
	if err != nil {
		log.Fatal(err)
	}

	err = SendToInflux(&fpc, &prices)
	if err != nil {
		log.Fatal(err)
	}
}
